
Summary: Joomla 1.0.3 Package for Application Vault
Name: Joomla
Version: 1.0.7
Release: 1
License: GPL
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor: ART - Atomicrocketturtle.com
Group: Applications/WWW
Source0: %{name}-psa.tar.gz
Source1: %{name}_%{version}-Stable-Full_Package.tar.gz
Patch0: Joomla-info-xml.patch
URL: http://www.joomla.org
#Prefix: %product_root_d/var/cgitory
BuildArch: noarch
Requires: php, psa
Provides: Plesk-application-vault
BuildRoot: %{_tmppath}/%{name}-root

%description
App vault RPM for %{name} %{version}

%prep
# Joomla archive dumps into CWD, this creates it under the build tree
%setup -q -c -a 1 -n %{name}-%{version}-%{release}/%{name}
# run this second with -D so as to not delete the previous setup
%setup -D -q -c -n %{name}-%{version}-%{release}
%patch0

%build
# Fix the version/release info in info.xml
sed s/@@VERSION@@/%{version}/g info/info.xml > info/info.xml.new
sed s/@@RELEASE@@/%{release}/g info/info.xml.new > info/info.xml
rm info/info.xml.new


# cleanup and packaging
pushd %{name}
  # Fix sql, defaults to #__<tablename>, change to jos__ tablename
  sed s/#__/jos_/g installation/sql/joomla.sql > installation/sql/joomla.sql.new
  mv -f installation/sql/joomla.sql.new installation/sql/joomla.sql
  tar cf ../apps/httpdocs-files.tar *
popd 
rm -rf  %{name}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

pwd
mkdir -p $RPM_BUILD_ROOT/usr/local/psa/var/cgitory/%{name}-%{version}-%{release}
find . -print | cpio -pdmuv $RPM_BUILD_ROOT/usr/local/psa/var/cgitory/%{name}-%{version}-%{release}

%files
%attr(-, root, root) 
/usr/local/psa/var/cgitory/%{name}-%{version}-%{release}

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Feb 25 2006 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0.7-1
- update to 1.0.7

* Fri Nov 18 2005 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0.3-2
- made code more maintainable, updated xml settings

* Wed Nov 9 2005 Pascal Dreissen
- First Joomla Application Vault version!.

